/*
 * SPI_functions.h
 *
 * Created: 20.01.2014 10:08:18
 *  Author: Alex
 */ 


#ifndef SPIFUNCTIONS_H_
#define SPIFUNCTIONS_H_

#include <avr/io.h>


void SPI_init ();
void SPI_activate_slave();
void SPI_deactivate_slave();
void SPI_write_byte(uint8_t sendbyte);
uint8_t SPI_read_byte();
void SPI_disable_interrupts();
void SPI_enable_interrupts();




#endif /* SPIFUNCTIONS_H_ */