#ifndef CIRCBUF_H_
#define CIRCBUF_H_

#include <stdbool.h>

//circular buffer data structure
typedef struct circular_buffer {
    char volatile *data;
    int size;
    char volatile fillcount;
    char head;
    char tail;
}CircBuf;

//function declarations
char circbuf_get(CircBuf *buf);
void circbuf_add(CircBuf *buf, char value);
bool circbuf_isempty(CircBuf  *buf);
bool circbuf_isfull(CircBuf *buf);
void circbuf_clear(CircBuf *buf);


  
#endif /*CIRCBUF_H_*/
